Creates a new function.

### Hierarchy

- Function

## Index

### Properties

- arguments
- caller
- length
- prototype

### Methods

- apply
- bind
- call
- toString

## Properties

### arguments

arguments: any

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:302

### caller

caller: Function

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:303

### length

length: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:299

### prototype

prototype: any

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:298

## Methods

### apply

- apply(this: Function, thisArg: any, argArray?: any): any

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:278

  Calls the function, substituting the specified object for the this value of the function, and the specified array for the arguments of the function.

  #### Parameters

  - ##### this: Function

  - ##### thisArg: any

    The object to be used as the this object.

  - ##### Optional argArray: any

    A set of arguments to be passed to the function.

  #### Returns any

### bind

- bind(this: Function, thisArg: any, ...argArray: any[]): any

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:293

  For a given function, creates a bound function that has the same body as the original function. The this object of the bound function is associated with the specified object, and has the specified initial parameters.

  #### Parameters

  - ##### this: Function

  - ##### thisArg: any

    An object to which the this keyword can refer inside the new function.

  - ##### Rest ...argArray: any[]

    A list of arguments to be passed to the new function.

  #### Returns any

### call

- call(this: Function, thisArg: any, ...argArray: any[]): any

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:285

  Calls a method of an object, substituting another object for the current object.

  #### Parameters

  - ##### this: Function

  - ##### thisArg: any

    The object to be used as the current object.

  - ##### Rest ...argArray: any[]

    A list of arguments to be passed to the method.

  #### Returns any

### toString

- toString(): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:296

  Returns a string representation of a function.

  #### Returns string

Generated using TypeDoc